# nng_stream_listener_close(3str) Manual Page

## NAME

nng_stream_listener_close - close byte stream listener

## SYNOPSIS

    #include <nng/nng.h>

    void nng_stream_listener_close(nng_stream_listener *l);

## DESCRIPTION

The `nng_stream_listener_close()` function closes the supplied connected byte stream listener l, but does not free the underlying resources associated with it.

If any accept operations using d are in progress, they will be terminated with an `NNG_ECLOSED` error condition.

Furthermore any future accesses to the listener l will also result in `NNG_ECLOSED`.

| This function does not release the memory for the listener, so the application should still free the memory using `nng_stream_listener_free()` once it is certain that nothing else is using it.

## RETURN VALUES

None.

## ERRORS

None.

## SEE ALSO

nng_strerror(3), nng_stream_listener_accept(3str), nng_stream_listener_alloc(3str), nng_stream_listener_free(3str), nng_stream_listener(5)